From e2092942b8d2ae708da5d00584c1c65c80f1656d Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Sun, 3 May 2020 15:28:02 +0800
Subject: [PATCH 62/77] virtual_disks_multidisk: Disk bus device option need to
 adapt to aarch64 platform.

Check disk bus device option in qemu command line,need to adapt to aarch64
platform, in aarch64 platform, bus is decimal not hexadecimal, such as
pci.10 not pci.a.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 .../tests/src/virtual_disks/virtual_disks_multidisks.py   | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
index 4f82117e..080327d6 100644
--- a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
+++ b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
@@ -1730,8 +1730,12 @@ def run(test, params, env):
                         device_option = "scsi=on"
                     else:
                         device_option = "scsi=off"
-                    cmd += (" | grep virtio-blk-pci,%s,bus=pci.%x,addr=0x%x"
-                            % (device_option, dev_bus, pci_slot))
+                    if platform.platform().count('aarch64'):
+                        cmd += (" | grep virtio-blk-pci,%s,bus=pci.%d,addr=0x%x"
+                                % (device_option, dev_bus, pci_slot))
+                    else:
+                        cmd += (" | grep virtio-blk-pci,%s,bus=pci.%x,addr=0x%x"
+                                % (device_option, dev_bus, pci_slot))
                 if device_bus[0] in ["ide", "sata", "scsi"]:
                     dev_unit = int(vm_xml.VMXML.get_disk_attr(vm_name, device_targets[0],
                                                               "address", "unit"), 16)
-- 
2.23.0

